<template>
  <v-navigation-drawer app fixed :clipped="$vuetify.breakpoint.mdAndUp" :value="value" @input="$emit('input', $event)">
      <v-list dense>
        <template v-for="(item, i) in items">

          <v-divider dark v-if="item.divider" class="my-3" :key="i"></v-divider>

          <v-list-group v-else-if="item.children" v-model="item.model" :key="i" :prepend-icon="item.model ? item.icon : item['icon-alt']" append-icon="">

            <v-list-tile slot="activator">
              <v-list-tile-content>
                <v-list-tile-title>
                  {{ item.text }}
                </v-list-tile-title>
              </v-list-tile-content>
            </v-list-tile>

            <v-list-tile v-for="(child, i) in item.children" :key="i" :to="child.link">
              <v-list-tile-action v-if="child.icon">
                <v-icon>{{ child.icon }}</v-icon>
              </v-list-tile-action>
              <v-list-tile-content>
                <v-list-tile-title>
                  {{ child.text }}
                </v-list-tile-title>
              </v-list-tile-content>
            </v-list-tile>

          </v-list-group>

          <v-list-tile v-else :to="item.link" :key="i" v-restricted="item.roles">
            <v-list-tile-action>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>
                {{ item.text }}
              </v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>

        </template>
      </v-list>
    </v-navigation-drawer>
</template>

<script>
export default {
  name: 'Drawer',
  data: () => ({
    items: [
      { icon: 'home', text: 'Home', link: '/'},
      { icon: 'shopping_cart', text: 'Items', link: '/items'},
      {
        icon: 'keyboard_arrow_up',
        'icon-alt': 'keyboard_arrow_down',
        text: 'Types',
        model: true,
        children: [
          { icon: 'camera', text: 'Video', link: 'video' },
          { icon: 'mic', text: 'Audio', link: 'audio' },
          { icon: 'photo', text: 'Foto', link: 'foto' }
        ]
      },
      { divider: true },
      { icon: 'archive', text: 'Archive' },
      { divider: true },
      { icon: 'supervisor_account', text: 'Users', link: 'users', roles: ['ADMIN'] },
      { icon: 'settings', text: 'Settings', link: 'settings' }
    ]
  }),
  props: [
    'value'
  ],
  model: {
    prop: 'value',
    event: 'input'
  }
}
</script>

<style>
</style>
